MEINPROC5(1)

NAME
meinproc5 - KDE translator for XML

SYNOPSIS

meinproc5 [-h, --help] [-v, --version] [--cache file] [--check] [--srcdir dir] [--param key=value] [[[-o] | [--output]] file] [--stdout] [--stylesheet xsl] docbook_file

DESCRIPTION

meinproc5 converts DocBook files to HTML.

GENERIC OPTIONS

-h--help
    Show help about options.

-v--version
    Show version information

APPLICATION OPTIONS

--cache file
    Create a cache file for the document

--check
    Check the document for validity

        The output can be a bit daunting, since one small mistake can cause a cascade of errors.
        The trick is to look at the first error, fix that error, save the file, and run meinproc5 again.

-o, --output file
    Output whole document to file.

--stdout
    Output whole document to stdout.

--stylesheet xsl
    Stylesheet to use

--srcdir dir
    Set the root directory to look for kdoctools

--param key=value
    Set parameters to pass to the stylesheet.

USAGE

The most common way to run meinproc5 is simply as

    meinproc5 docbook-file

where docbook-file is usually index.docbook. This command creates HTML pages from the DocBook file. Note that these pages are only viewable in KDE-based browsers (like Konqueror).

If you need to view the HTML output in another browser (for example, if you're placing it on line), use

    meinproc5 --stylesheet stylesheet-name docbook-file

where stylesheet-name is the full path to one of the XSL stylesheets in <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. To produce output suitable for the web, you can use kde-web.xsl or kde-chunk-online.xsl. See the README file in that directory for more details.

SEE ALSO

kf5options(7), qt5options(7)

BUGS

Please use KDE's bugtracker[1] to report bugs.

NOTES

1.  KDE's bugtracker
    https://bugs.kde.org